Get Disk
curl --request GET \
--url https://api.primeintellect.ai/api/v1/disks/{disk_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.primeintellect.ai/api/v1/disks/{disk_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.primeintellect.ai/api/v1/disks/{disk_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"providerType": "runpod",
"userId": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"terminatedAt": "2023-11-07T05:31:56Z",
"status": "PROVISIONING",
"size": 0,
"info": {},
"priceHr": 123,
"stoppedPriceHr": 123,
"provisioningPriceHr": 0,
"teamId": "<string>",
"walletId": "<string>",
"pods": [],
"clusters": []
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}Disks
Get Disk
GET
/
api
/
v1
/
disks
/
{disk_id}
Get Disk
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Name of the disk.
Maximum string length:
255Type of provider associated with the disk.
Available options:
runpod, fluidstack, lambdalabs, hyperstack, oblivus, cudocompute, scaleway, tensordock, datacrunch, latitude, crusoecloud, massedcompute, akash, primeintellect, primecompute, dc_impala, dc_kudu, dc_roan, nebius, dc_eland, dc_wildebeest, vultr, dc_gnu, denvr ID of the user associated with this disk.
Unique identifier for the disk, generated as a UUID.
Timestamp when the disk was created.
Timestamp when the disk was last updated.
Timestamp when the disk was terminated.
Current status of the disk.
Available options:
PROVISIONING, PENDING, ACTIVE, STOPPED, ERROR, DELETING, UNKNOWN, TERMINATED Size of the disk in GB.
JSON field for additional information about the disk.
Hourly price for using the disk.
Hourly price when the disk is stopped.
Hourly price during provisioning.
ID of the team owning this disk.
ID of the wallet associated with this disk.
Pods attached to the disk.
Clusters attached to the disk.
Was this page helpful?